uniform sampler2D texture0;


uniform float time;
uniform float diffuseScrollSpeed;
void main(void)
{
	float t = time;
    
	 vec2 uv = gl_TexCoord[0].xy*5;
uv.x*=0.5;
    uv.x -= t * diffuseScrollSpeed; //step(sin(t),0.1);
    uv.y -= t * diffuseScrollSpeed; //step(sin(t),0.2);
	vec4 color = texture2D(texture0, uv);
	color.a=1.0;
	gl_FragColor = color;
}